Debian Bug report logs - #396283
libvtk5-dev includes deprecated C++ header

version graph

Package: libvtk5-dev; Maintainer for libvtk5-dev is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>; Source for libvtk5-dev is src:vtk.

Reported by: "Jordi Gutierrez Hermoso" <jordigh@gmail.com>

Date: Mon, 30 Oct 2006 23:03:04 UTC

Severity: normal

Found in versions 5.0.1-4, 0

Fixed in versions libvtk5-dev/5.2.1-1, vtk/5.4.2-1

Done: bottoms@debian.org (A. Maitland Bottoms)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#396283; Package libvtk5-dev. Full text and rfc822 format available.

Acknowledgement sent to "Jordi Gutierrez Hermoso" <jordigh@gmail.com>:
New Bug report received and forwarded. Copy sent to bottoms@debian.org (A. Maitland Bottoms). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Jordi Gutierrez Hermoso" <jordigh@gmail.com>
To: submit@bugs.debian.org
Subject: libvtk5-dev includes deprecated C++ header
Date: Mon, 30 Oct 2006 16:54:00 -0600
Package: libvtk5-dev
Version: 5.0.1-4 0

The file /usr/include/vtk-5.0/vtkIOStream.h #includes strstream
apparently believing it is complying with the modern C++ ANSI
standard, but it's not. It should be using sstream instead.

Grepping through the other header files in the same directory, it
appears that the string "strstream" only appears in the following
header files:

    vtkIOStream.h
    vtkOStrStreamWrapper.h:
    vtkSystemIncludes.h

Changing the only instances of strstreams in vtkIOStream.h with
stringstreams and <strstream> with <sstream> seems to have broken
nothing.

- Jordi G. H.



Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#396283; Package libvtk5-dev. Full text and rfc822 format available.

Acknowledgement sent to "Mathieu Malaterre" <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). Full text and rfc822 format available.

Message #10 received at 396283@bugs.debian.org (full text, mbox):

From: "Mathieu Malaterre" <mathieu.malaterre@gmail.com>
To: 396283@bugs.debian.org
Subject: libvtk5-dev includes deprecated C++ header
Date: Mon, 30 Oct 2006 18:27:49 -0500
This is not enough to be grep'ing for #include you should also grep
for use of old deprecated syntax: strstream and co.

This is part of a larger bug:
http://vtk.org/Bug/bug.php?op=show&bugid=1953

-- 
Mathieu



Information forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#396283; Package libvtk5-dev. Full text and rfc822 format available.

Acknowledgement sent to Thomas Weber <thomas.weber.mail@gmail.com>:
Extra info received and forwarded to list. Copy sent to bottoms@debian.org (A. Maitland Bottoms). Full text and rfc822 format available.

Message #15 received at 396283@bugs.debian.org (full text, mbox):

From: Thomas Weber <thomas.weber.mail@gmail.com>
To: 396283@bugs.debian.org
Subject: Fixed upstream
Date: Sun, 25 Nov 2007 10:15:45 +0100
It seems the deprecated header issue was fixed upstream:

http://www.itk.org/Bug/view.php?id=1953

	Thomas





Reply sent to Denis Barbier <bouzim@gmail.com>:
You have taken responsibility. (Wed, 19 Aug 2009 21:51:10 GMT) Full text and rfc822 format available.

Notification sent to "Jordi Gutierrez Hermoso" <jordigh@gmail.com>:
Bug acknowledged by developer. (Wed, 19 Aug 2009 21:51:10 GMT) Full text and rfc822 format available.

Message #20 received at 396283-done@bugs.debian.org (full text, mbox):

From: Denis Barbier <bouzim@gmail.com>
To: 396283-done@bugs.debian.org
Subject: Re: Bug#396283: libvtk5-dev includes deprecated C++ header
Date: Wed, 19 Aug 2009 23:48:34 +0200
Package: libvtk5-dev
Version: 5.2.1-1

On Mon, 30 Oct 2006, Jordi Gutierrez Hermoso wrote:
> The file /usr/include/vtk-5.0/vtkIOStream.h #includes strstream
> apparently believing it is complying with the modern C++ ANSI
> standard, but it's not. It should be using sstream instead.
[...]

Hi, this bug has been fixed upstream in VTK 5.2, I am closing it now.
Thanks for your report.

Denis




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 22 Dec 2009 07:06:06 GMT) Full text and rfc822 format available.

Reply sent to bottoms@debian.org (A. Maitland Bottoms):
You have taken responsibility. (Tue, 22 Dec 2009 19:36:03 GMT) Full text and rfc822 format available.

Notification sent to "Jordi Gutierrez Hermoso" <jordigh@gmail.com>:
Bug acknowledged by developer. (Tue, 22 Dec 2009 19:36:03 GMT) Full text and rfc822 format available.

Message #27 received at 396283-close@bugs.debian.org (full text, mbox):

From: bottoms@debian.org (A. Maitland Bottoms)
To: 396283-close@bugs.debian.org
Subject: Bug#396283: fixed in vtk 5.4.2-1
Date: Tue, 22 Dec 2009 18:20:38 +0000
Source: vtk
Source-Version: 5.4.2-1

We believe that the bug you reported is fixed in the latest version of
vtk, which is due to be installed in the Debian FTP archive:

libvtk-java_5.4.2-1_amd64.deb
  to main/v/vtk/libvtk-java_5.4.2-1_amd64.deb
libvtk5-dev_5.4.2-1_amd64.deb
  to main/v/vtk/libvtk5-dev_5.4.2-1_amd64.deb
libvtk5-qt3-dev_5.4.2-1_amd64.deb
  to main/v/vtk/libvtk5-qt3-dev_5.4.2-1_amd64.deb
libvtk5-qt4-dev_5.4.2-1_amd64.deb
  to main/v/vtk/libvtk5-qt4-dev_5.4.2-1_amd64.deb
libvtk5.4-qt3_5.4.2-1_amd64.deb
  to main/v/vtk/libvtk5.4-qt3_5.4.2-1_amd64.deb
libvtk5.4-qt4_5.4.2-1_amd64.deb
  to main/v/vtk/libvtk5.4-qt4_5.4.2-1_amd64.deb
libvtk5.4_5.4.2-1_amd64.deb
  to main/v/vtk/libvtk5.4_5.4.2-1_amd64.deb
python-vtk_5.4.2-1_amd64.deb
  to main/v/vtk/python-vtk_5.4.2-1_amd64.deb
vtk-doc_5.4.2-1_all.deb
  to main/v/vtk/vtk-doc_5.4.2-1_all.deb
vtk-examples_5.4.2-1_all.deb
  to main/v/vtk/vtk-examples_5.4.2-1_all.deb
vtk-tcl_5.4.2-1_amd64.deb
  to main/v/vtk/vtk-tcl_5.4.2-1_amd64.deb
vtk_5.4.2-1.diff.gz
  to main/v/vtk/vtk_5.4.2-1.diff.gz
vtk_5.4.2-1.dsc
  to main/v/vtk/vtk_5.4.2-1.dsc
vtk_5.4.2.orig.tar.gz
  to main/v/vtk/vtk_5.4.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 396283@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
A. Maitland Bottoms <bottoms@debian.org> (supplier of updated vtk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 16 Dec 2009 12:05:30 -0500
Source: vtk
Binary: vtk-doc vtk-examples libvtk5.4 libvtk-java libvtk5-dev libvtk5.4-qt3 libvtk5-qt3-dev libvtk5.4-qt4 libvtk5-qt4-dev vtk-tcl python-vtk
Architecture: source amd64 all
Version: 5.4.2-1
Distribution: experimental
Urgency: low
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Changed-By: A. Maitland Bottoms <bottoms@debian.org>
Description: 
 libvtk-java - Visualization Toolkit - A high level 3D visualization library
 libvtk5-dev - VTK header files for building C++ code
 libvtk5-qt3-dev - Visualization Toolkit - A high level 3D visualization library
 libvtk5-qt4-dev - Visualization Toolkit - A high level 3D visualization library
 libvtk5.4  - Visualization Toolkit - A high level 3D visualization library
 libvtk5.4-qt3 - Visualization Toolkit - A high level 3D visualization library
 libvtk5.4-qt4 - Visualization Toolkit - A high level 3D visualization library
 python-vtk - Python bindings for VTK
 vtk-doc    - VTK class reference documentation
 vtk-examples - C++, Tcl and Python example programs/scripts for VTK
 vtk-tcl    - Tcl bindings for VTK
Closes: 396283 531989 558714 558716 559629 560661
Changes: 
 vtk (5.4.2-1) experimental; urgency=low
 .
   [ A. Maitland Bottoms ]
   * New Upstream Version (Closes: #531989, #396283)
   * Drop VTK_X3D_USE_JAVA option, it has been removed from VTK 5.4.
     As a consequence, vtkHybrid does no more depend on Java libraries.
     Closes: #558714, #559629
   * Turn VTK_USE_POSTGRES ON.
 .
   [ Denis Barbier ]
   * Fix FTBFS with gcj (Closes: #558716)
   * Drop all prerm scripts except vtk-doc.prerm
   * Copy CMake/FindJNI.cmake from 5.2.1-11, it had accidentally
     been removed.
   * Set JAVA_HOME in debian/rules to help FindJNI.cmake and
     FindJava.cmake
   * Remove debian/doxydot.sh, this script does nothing
   * Use a dot wrapper, taken from gdcmtk, to generate graphs
     without antialiasing, generated png files are much smaller
     and do not need to be compressed.  (Closes: #560661)
Checksums-Sha1: 
 a8b7ba7280bc63a76bbd84968ee8e9d1273978bf 1978 vtk_5.4.2-1.dsc
 508106a15c32326aa9ac737c7f0e7212c150d55f 18265310 vtk_5.4.2.orig.tar.gz
 bcad4b742d0b61ab415a21fd23356e55fa8f39af 79237 vtk_5.4.2-1.diff.gz
 ffed05216771d8f284f3ed67c5014fdb0e154920 13068346 libvtk5.4_5.4.2-1_amd64.deb
 335a6fc476a04ca0b4c9b17b3f83246712bc4cf4 1542616 libvtk-java_5.4.2-1_amd64.deb
 e81af715611a6f6f7449c679923eec80658fa0ff 2286648 libvtk5-dev_5.4.2-1_amd64.deb
 4837f2c67f56b2415bee4a82655b2f8622c0202a 67594 libvtk5.4-qt3_5.4.2-1_amd64.deb
 0ad559fa174727808ede4757a3779537a805fc72 16940 libvtk5-qt3-dev_5.4.2-1_amd64.deb
 c534976b204e2154ee2d851864ac0e0ae2d97ff0 403488 libvtk5.4-qt4_5.4.2-1_amd64.deb
 077a1c5b022212c436022185968680926f0c94e9 53856 libvtk5-qt4-dev_5.4.2-1_amd64.deb
 04be0c96fc8a47c8e7248f8bcb3a3703e5a7ce4a 4317714 vtk-tcl_5.4.2-1_amd64.deb
 d5158f816031f75d9fb0c925201102b1a0be985b 4824700 python-vtk_5.4.2-1_amd64.deb
 e61fb628edf76f0e48352488e19d66e232efd6d3 146877340 vtk-doc_5.4.2-1_all.deb
 3b267ee16cf012069b9ecebbb82455f97ba4f7a7 508390 vtk-examples_5.4.2-1_all.deb
Checksums-Sha256: 
 7916509e1a2ad5c62e5baba1ad859b22323beaae34aa957178dd1679a62fe38f 1978 vtk_5.4.2-1.dsc
 037c0582ee7483e0b495e45a00c4f08784691ef82c4ea159ef86731c3beda73d 18265310 vtk_5.4.2.orig.tar.gz
 0735bf8e0a884f70ffc528fd08ed903ea02776b0777a9e4a135b5be24b634981 79237 vtk_5.4.2-1.diff.gz
 13c75a26949e859da1c137bbde8bb7d0817a5b794d513cc2dc5d1551d8ee30ae 13068346 libvtk5.4_5.4.2-1_amd64.deb
 153510903412333db777517eff6230e3e534fea349948fa76e3dfb1734480b66 1542616 libvtk-java_5.4.2-1_amd64.deb
 cc66a3281972f85cdfdd98f8ff169675b0783cbd7a625758785024a100d3109a 2286648 libvtk5-dev_5.4.2-1_amd64.deb
 0c7936397676c4caf992867b884bce5fcb4f555a45c67ed821d64f64ef0bfd2b 67594 libvtk5.4-qt3_5.4.2-1_amd64.deb
 f853387d8900512c557a524b63e9ab85f41651f3118df4674f41923365ae740e 16940 libvtk5-qt3-dev_5.4.2-1_amd64.deb
 43874f1f20325e84f2c0604000250d59648926180e37c953298094e7bcf2a13b 403488 libvtk5.4-qt4_5.4.2-1_amd64.deb
 2b8578f908320ef000bd3f9ea36b8b06203e3b781f06a22ddef4ce83c139c8d1 53856 libvtk5-qt4-dev_5.4.2-1_amd64.deb
 23d3bef35091a4cfa6c05f20df89f9b3bd048f181eb2dcd458ef1746fdc0e938 4317714 vtk-tcl_5.4.2-1_amd64.deb
 21dcc9bc8723c5cb0d3f47363a7eb8232b5016e825356e7d00945a9de32bbaec 4824700 python-vtk_5.4.2-1_amd64.deb
 befe04e14d9cd9da8ad708028153377b3c53464768970e71a3f86e96feccbb9a 146877340 vtk-doc_5.4.2-1_all.deb
 d270e81e1c428e6a076366a70fefb0ee8f30f684cd80772c058b33fd2803e6b2 508390 vtk-examples_5.4.2-1_all.deb
Files: 
 a13ba0238b8e9e9d1233edaf6435e2b1 1978 graphics optional vtk_5.4.2-1.dsc
 c2c797091d4b2128d9a1bd32c4b78227 18265310 graphics optional vtk_5.4.2.orig.tar.gz
 e3943f7204418a6c6c429b6e9c432de9 79237 graphics optional vtk_5.4.2-1.diff.gz
 96a7b3e3df77a95a0fb2fb572c17c27c 13068346 libs optional libvtk5.4_5.4.2-1_amd64.deb
 d454b3497733608a9b5a2463ad6f1f98 1542616 java optional libvtk-java_5.4.2-1_amd64.deb
 9c4c71ae46a97a7317bd387be7fa75bf 2286648 libdevel optional libvtk5-dev_5.4.2-1_amd64.deb
 c27f04a6d99f62c8e4bb60c4452d9f86 67594 libs optional libvtk5.4-qt3_5.4.2-1_amd64.deb
 9201181a9ba73290c809e465e2d31fdb 16940 libdevel optional libvtk5-qt3-dev_5.4.2-1_amd64.deb
 9ddd2f643c15fc2bbfd898066276cdd4 403488 libs optional libvtk5.4-qt4_5.4.2-1_amd64.deb
 6d44be626aed070d5ddfd2ea01067337 53856 libdevel optional libvtk5-qt4-dev_5.4.2-1_amd64.deb
 52d5a776a37aeff71a412f498ce5cdb5 4317714 interpreters optional vtk-tcl_5.4.2-1_amd64.deb
 bf279a82f9495f94c052e054b4aa13a8 4824700 python optional python-vtk_5.4.2-1_amd64.deb
 c53787f594cafc02e76b4676cf6223ab 146877340 doc optional vtk-doc_5.4.2-1_all.deb
 c15d2a3c50245b039351c8e43c047b7d 508390 graphics optional vtk-examples_5.4.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkswBp8ACgkQkwbJvNrxBUyv3wCffnH2R+5OSTxHMaQxAeUKPgXu
21oAmwbR/8fRBHdtfE2pkbkKDg/mMc9+
=qi3M
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 May 2010 07:36:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:36:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.